/* Version control information for "info" command display */
/* Definition for processor type added */
/* Cleanup of information display - K2MF 4/93 */

#include "global.h"
#include "mbuf.h"
#include "socket.h"
#include "files.h"    /* KA1NNN - PSI Byte-Saver */
#include "ftp.h"      /* KA1NNN - PSI Byte-Saver */

#define JNOS_VERSION "1.11x2"	/* change just this for a new version */
#define MOD_VERSION  "/NNNax"   /* KA1NNN - Change this for new NNN version */

char shortversion[] = "JNOS" JNOS_VERSION MOD_VERSION;

#if (defined(MAILBOX) || defined(MBFWD))
#if defined(FBBCMP)
char MboxIdF[]  = "[JNOS-" JNOS_VERSION "-BFHIM$]\n";
#elif defined(FBBFWD)
char MboxIdF[]  = "[JNOS-" JNOS_VERSION "-FHIM$]\n";
#endif /* FBBFWD */
char MboxId[]   = "[JNOS-" JNOS_VERSION "-IHM$]\n";
#endif /* MAILBOX || MBFWD */

char Version2[] = "by Johan. K. Reinalda, WG7J/PA3DIS\n";
extern int Numrows,Numcols;

char Version[] = JNOS_VERSION MOD_VERSION " ("
#if defined LINUX
    "Linux"
#elif defined CPU86
    "8088"
#elif defined CPU186
    "80186"
#elif defined CPU286
    "80286"
#elif defined CPU386
    "80386"
#elif defined CPU486
    "80486"
#elif defined CPU586
    "PENTIUM"
#else
    "cpu unknown"
#endif
    ")";

#ifdef ALLCMD
static char *
compilerver(void)
{
	static char result[24];

#if defined(__GNUC__)
	sprintf(result, "GCC %d", __GNUC__);
#elif defined(__BORLANDC__)
	sprintf(result, "BC %04X", __BORLANDC__);
#elif defined(__TURBOC__)
	sprintf(result, "TC %04X", __TURBOC__);
#else
	strcpy(result,"unknown compiler");
#endif
	return(result);
}

/* Follow are the PSI "Byte-Saver" Mods - KA1NNN */

int
doinfo(argc,argv,m)         /* KA1NNN - PSI */
int argc;
char *argv[];
struct mbx *m;              /* KA1NNN - PSI */
{
    FILE *fp;
    char fname[FILE_PATH_SIZE];
    tprintf("JNOS %s, compiled %s %s by %s\n\n",
             Version,__DATE__,__TIME__,compilerver());
    sprintf(fname,"%s/credits.inf",CmdsHelpdir);
    if((fp = fopen(fname,READ_TEXT)) != NULLFILE) {
        sendfile(fp,Curproc->output,ASCII_TYPE,0,m);
        fclose(fp);
    }                       /* End - KA1NNN - PSI */
#ifdef WHOFOR
    tprintf("\nfor %s,", WHOFOR);
#endif
    tprintf(" containing:\n\n");
    sprintf(fname,"%s/config.inf",CmdsHelpdir);
    if((fp = fopen(fname,READ_TEXT)) != NULLFILE) {
        sendfile(fp,Curproc->output,ASCII_TYPE,0,m);
        fclose(fp);
    }
        return 0;
}
#endif /* ALLCMD */
